Bug 2064 - [UPDATE REQUEST] fonts-bitmap-misc-console-1.2
: [UPDATE REQUEST] fonts-bitmap-misc-console-1.2
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
https://abf.rosalinux.ru/import/fonts...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 18:29 MSD by Konstantin Vlasov
Modified: 2013-06-03 12:48 MSD (History)
2 users (show)

See Also:
RPM Package: fonts-bitmap-misc-console
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
Screenshot of the problem (4.53 KB, image/png)
2013-05-29 17:25 MSD, Konstantin Vlasov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Vlasov 2013-05-28 18:29:09 MSD
In many man pages the special hyphen character (U+2010) is widely used. Since the font did not contain this character, another font was automatically used by Konsole, and text line were drawn displaced, cutting the lower parts of the letters such as "y" or "g".
Comment 1 Konstantin Vlasov 2013-05-28 18:31:43 MSD
https://abf.rosalinux.ru/build_lists/1116888
https://abf.rosalinux.ru/build_lists/1116889

Advisory: Added missing character U+2010 (hyphen) to avoid displacing text lines containing symbol in Konsole.
Comment 2 Vladimir Potapov 2013-05-29 11:12:23 MSD
(In reply to comment #0)
> In many man pages the special hyphen character (U+2010) is widely used.
> Since the font did not contain this character, another font was
> automatically used by Konsole, and text line were drawn displaced, cutting
> the lower parts of the letters such as "y" or "g".
Please, write me man example with error.
Comment 3 Konstantin Vlasov 2013-05-29 17:24:47 MSD
1. Install the font.
2. Configure Konsole to use this font.
3. run the command, e.g., "man bash" and look for wrapped lines which end with hyphens (it depends on the Konsole window size, so I cannot point to some specific line).
4. With version 1.1 of the font, these lines will be shifted several pixels down (the whole line or the right part of it). See the example on the attached screenshot (the line ending with "If there are argu-").
Comment 4 Konstantin Vlasov 2013-05-29 17:25:25 MSD
Created attachment 1425 [details]
Screenshot of the problem
Comment 5 Vladimir Potapov 2013-05-30 14:55:07 MSD
fonts-bitmap-misc-console-1.2-1-rosa2012.1
*********************** Advisory *******************
 Added missing character U+2010 (hyphen) to avoid displacing text lines containing symbol in Konsole.
****************************************************
QA Verified